curl --request POST \
--url https://zeus-api.agentspro.cn/api/agent/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"session_id": "sess_456",
"llm_config": {
"baseUrl": "https://api.openai.com/v1",
"apiKey": "sk-...",
"modelName": "gpt-4o"
},
"tool_call_results": [
{
"tool_call_id": "call_abc",
"tool_name": "sandbox_exec",
"decision": "approved"
}
],
"human_order": "Make sure to back up the files before executing"
}'
data: {"type": "tool_result", "tool_name": "sandbox_exec", "result": "..."}
data: {"type": "message_chunk", "content": "Operation completed. Files have been backed up."}
data: {"type": "done", "session_id": "sess_456"}
Agent API
Resume Agent
Resume an interrupted Agent execution — continue after HITL approval
POST
/
api
/
agent
/
resume
curl --request POST \
--url https://zeus-api.agentspro.cn/api/agent/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"session_id": "sess_456",
"llm_config": {
"baseUrl": "https://api.openai.com/v1",
"apiKey": "sk-...",
"modelName": "gpt-4o"
},
"tool_call_results": [
{
"tool_call_id": "call_abc",
"tool_name": "sandbox_exec",
"decision": "approved"
}
],
"human_order": "Make sure to back up the files before executing"
}'
data: {"type": "tool_result", "tool_name": "sandbox_exec", "result": "..."}
data: {"type": "message_chunk", "content": "Operation completed. Files have been backed up."}
data: {"type": "done", "session_id": "sess_456"}
When a tool triggers an HITL (Human-in-the-Loop) interrupt during Agent execution, the frontend collects the user’s approval decision and uses this endpoint to resume execution.
Returns an SSE streaming response, continuing execution from the interruption point.
user_id is automatically extracted from the JWT Token and does not need to be passed in the body.
List of tool call approval results
Show tool_call_result
Show tool_call_result
Human instruction — additional instructions passed to the Agent along with the approval result
curl --request POST \
--url https://zeus-api.agentspro.cn/api/agent/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"session_id": "sess_456",
"llm_config": {
"baseUrl": "https://api.openai.com/v1",
"apiKey": "sk-...",
"modelName": "gpt-4o"
},
"tool_call_results": [
{
"tool_call_id": "call_abc",
"tool_name": "sandbox_exec",
"decision": "approved"
}
],
"human_order": "Make sure to back up the files before executing"
}'
data: {"type": "tool_result", "tool_name": "sandbox_exec", "result": "..."}
data: {"type": "message_chunk", "content": "Operation completed. Files have been backed up."}
data: {"type": "done", "session_id": "sess_456"}